#include "procrwil.h"

void success(rwil_device dev)
{
  printf("success\n");
}

void failure(rwil_device dev, const char *error)
{
  printf("failure: %s\n", error);
}

void main()
{
  rwil_handle rw;
  rwil_device d1;
  
  rw = rwil_init();
  d1 = rwil_create(rw, 'A', 1);
  rwil_success_callback(success);
  rwil_failure_callback(failure);
  rwil_on(d1, 0);
  sleep(20);
  rwil_shutdown(rw);
}
